/*
 * Copyright (c) 2015 by inovat, innovative systeme - verkehr - tunnel - technik, Dipl.-Ing. H. C. Kniss
 *
 * This file is part of de.bsvrz.kex.tls.osi7.conversion.nw.uz.loehne.SourceDataReferencesUzLoehne
 *
 * de.bsvrz.kex.tls.osi7.conversion.nw.uz.loehne.SourceDataReferencesUzLoehne is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  de.bsvrz.kex.tls.osi7.conversion.nw.uz.loehne.SourceDataReferencesUzLoehne is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with de.bsvrz.kex.tls.osi7.conversion.nw.uz.loehne.SourceDataReferencesUzLoehne.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Diese Datei ist Teil von de.bsvrz.kex.tls.osi7.conversion.nw.uz.loehne.SourceDataReferencesUzLoehne.
 *
 *  de.bsvrz.kex.tls.osi7.conversion.nw.uz.loehne.SourceDataReferencesUzLoehne ist Freie Software: Sie können es unter den Bedingungen
 *  der GNU General Public License, wie von der Free Software Foundation,
 *  Version 3 der Lizenz oder (nach Ihrer Wahl) jeder späteren
 *  veröffentlichten Version, weiterverbreiten und/oder modifizieren.
 *
 *  de.bsvrz.kex.tls.osi7.conversion.nw.uz.loehne.SourceDataReferencesUzLoehne wird in der Hoffnung, dass es nützlich sein wird, aber
 *  OHNE JEDE GEWÄHRLEISTUNG, bereitgestellt; sogar ohne die implizite
 *  Gewährleistung der MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
 *  Siehe die GNU General Public License für weitere Details.
 *
 *  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
 *  Programm erhalten haben. Wenn nicht, siehe <http://www.gnu.org/licenses/>.
 *
 * Contact Information:
 * inovat, Dipl.-Ing. H. C. Kniss
 * An der Krautwiese 37
 * D-53783 Eitorf
 * +49 (0)2243 8464 193
 * info@inovat.de
 * www.inovat.de
 */

package de.bsvrz.kex.tls.osi7.conversion.nw.uz.loehne;

/**
 * Legt die Objekttypen fest, über die auf DE als Datenquellen referenziert werden kann. Über die hier festgelegten
 * Informationen ermittelt {@link de.bsvrz.kex.tls.TlsApplication} alle Objekte, die auf De referenzieren und ermöglicht so, dass
 * empfangene De-Blöcke über entsprechende Umsetzungsklassen auf Attributgruppen dieser Objekttypen umgesetzt werden
 * (und umgekehrt).
 *
 * @author inovat, innovative systeme - verkehr - tunnel - technik
 * @author Dipl.-Ing. Hans Christian Kniß (HCK)
 * @version $Revision$ / $Date$ / ($Author$)
 */

public class SourceDataReferencesUzLoehne {
// ------------------------------------------------------------------------
// VARIABLENDEKLARATIONEN
// ------------------------------------------------------------------------

// Sonstige ---------------------------------------------------------------
	/**
	 * Enthält je Eintrag jeweils die Pid des QbjektTyps, die Pid der konfigurierenden Attributgruppe und den Namen des
	 * Attributs, über den eine Objektreferenz auf ein Objekt vom Typ "typ.de" möglich ist. Über diese Angaben werden dann
	 * alle Objekte ermittelt, die auf eine DE referenzieren. Die Liste der auf ein DE referenzierenden Objekte wird beim
	 * jeweiligen DE bei der Konstruktion vermerkt. Für alle hier registrierten Referenztypen können dann in den
	 * Umsetzungsmodulen der DE entsprechende Umsetzungen in ATG/ASP-Kombinationen an einem solchen Typ definiert
	 * werden.<br> Damit können dann z.B. die Verkehrsdaten der FG 1 nicht nur in die entsprechenden ATG eine DeLve
	 * umgesetzt werden, sondern parallel dazu auch noch in eine passende ATG an FahrStreifen-Objekten.
	 */
	private static final Object[][] sourceDataReferences = new Object[][]{
			//  ObjektTyp, Attributgruppe, Aspekt, Attributname
			{"typ.fahrStreifen", "atg.fahrStreifen", "asp.eigenschaften", "FahrStreifenQuelle"},
			{"typ.anzeige", "atg.anzeige", "asp.eigenschaften", "AnzeigeQuelle"},
	};

// ------------------------------------------------------------------------
// STATISCHE METHODEN
// ------------------------------------------------------------------------

	public static Object[][] getSourceDataReferences() {
		return SourceDataReferencesUzLoehne.sourceDataReferences;
	}
}

